# -*- coding: utf-8 -*-
# encoding: utf-8

# Gravaty
# Copyright © 2013  Marco Bresciani
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program. If not, see
# <http://www.gnu.org/licenses/>.

# language: en
Feature: Gravaty interface
  In order to retrieve information from Gravatar site
  As a developer
  I want a class that helps me to get the information

  Background: creating a gravaty
    Given I create a new Gravaty providing an email

  Scenario: retrieve the original email address
    Then I can retrieve my email address back

  Scenario: retrieving the MD5 for the email
    Then I can retrieve the evaluated digest

  Scenario: retrieving the basic URL for Gravatar
    Then I can retrieve the basic Gravatar URL for my Gravaty

  Scenario Outline: : retrieving the basic URL for Gravatar, specifying an image type
    Then I can retrieve the basic Gravatar URL for my Gravaty with the specified image <type>
  Examples:
    | type |
    | jpg  |
    | png  |
    | JPG  |
    | PNG  |
    | jpeg |
    | JPEG |

  Scenario Outline: retrieving the URL for Gravatar with a specific size
    Then I can retrieve the Gravatar URL for my Gravaty with a specified size between <min> and <max>
  Examples:
    | min | max  |
    | 1   | 2048 |


