# -*- coding: utf-8 -*-
# encoding: utf-8

# Gravaty
# Copyright © 2013  Marco Bresciani
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program. If not, see
# <http://www.gnu.org/licenses/>.

require 'digest/md5'

EMAIL_ADDRESS = 'user@example.com'
BASIC_URL = 'http://www.gravatar.com/avatar/'

Given(/^I create a new Gravaty providing an email$/) { @a_gravaty = Gravaty.new EMAIL_ADDRESS }

Then /^I can retrieve my email address back$/ do
  @a_gravaty.email.should == EMAIL_ADDRESS
end

Then /^I can retrieve the evaluated digest$/ do
  @digest = Digest::MD5.hexdigest(EMAIL_ADDRESS.downcase)
  @a_gravaty.digest.should == @digest
end

Then /^I can retrieve the basic Gravatar URL for my Gravaty$/ do
  @a_gravaty.basic_url.should == (BASIC_URL + Digest::MD5.hexdigest(EMAIL_ADDRESS.downcase))
end

Then /^I can retrieve the basic Gravatar URL for my Gravaty with the specified image (.*)$/ do |type|
  @a_gravaty.basic_url(type).should == (BASIC_URL + Digest::MD5.hexdigest(EMAIL_ADDRESS.downcase) + '.' + type.downcase)
end

Then /^I can retrieve the Gravatar URL for my Gravaty with a specified size between (\d+) and (\d+)$/ do |min, max|
  a_range = Range.new(min, max)
  a_range.each do |value|
    @a_gravaty.size_url(value).should end_with('?s=' + value)
  end
end
